using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriListAmountSet)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "PriListAmountSet")]
    public class PriListAmountSetController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriListAmountSetService _PriListAmountSetService;


        public PriListAmountSetController(IPriListAmountSetService PriListAmountSetService)
        {
            _PriListAmountSetService = PriListAmountSetService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriListAmountSet/getPriListAmountSetList")]
        public IActionResult getPriListAmountSetList([FromQuery] PagerInfo page, [FromQuery] PriListAmountSet param)
        {
            var response = _PriListAmountSetService.getPriListAmountSetList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriListAmountSet/getPriListAmountSetQuery")]
        public IActionResult getPriListAmountSetQuery([FromQuery] PriListAmountSet param)
        {
            var response = _PriListAmountSetService.GetFirst(m => m.id == param.id).Adapt<GetPriListAmountSetQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriListAmountSet/addPriListAmountSet")]
        public IActionResult addPriListAmountSet([FromBody] PriListAmountSet param)
        {
            var modal = param.Adapt<PriListAmountSet>().ToCreate(HttpContext);
            var response = _PriListAmountSetService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriListAmountSet/updatePriListAmountSet")]
        public IActionResult updatePriListAmountSet([FromBody] PriListAmountSet param)
        {
            var modal = param.Adapt<PriListAmountSet>().ToCreate(HttpContext);
            var response = _PriListAmountSetService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriListAmountSet/deletePriListAmountSet/{id}")]
        public IActionResult deletePriListAmountSet(int id)
        {
            var response = _PriListAmountSetService.Delete(id);
            return SUCCESS(response);
        }




    }
}