using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriLoopSet)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "PriLoopSet")]
    public class PriLoopSetController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriLoopSetService _PriLoopSetService;


        public PriLoopSetController(IPriLoopSetService PriLoopSetService)
        {
            _PriLoopSetService = PriLoopSetService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriLoopSet/getPriLoopSetList")]
        public IActionResult getPriLoopSetList([FromQuery] PagerInfo page, [FromQuery] PriLoopSet param)
        {
            var response = _PriLoopSetService.getPriLoopSetList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriLoopSet/getPriLoopSetQuery")]
        public IActionResult getPriLoopSetQuery([FromQuery] PriLoopSet param)
        {
            var response = _PriLoopSetService.GetFirst(m => m.id == param.id).Adapt<GetPriLoopSetQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriLoopSet/addPriLoopSet")]
        public IActionResult addPriLoopSet([FromBody] PriLoopSet param)
        {
            var modal = param.Adapt<PriLoopSet>().ToCreate(HttpContext);
            var response = _PriLoopSetService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriLoopSet/updatePriLoopSet")]
        public IActionResult updatePriLoopSet([FromBody] PriLoopSet param)
        {
            var modal = param.Adapt<PriLoopSet>().ToCreate(HttpContext);
            var response = _PriLoopSetService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriLoopSet/deletePriLoopSet/{id}")]
        public IActionResult deletePriLoopSet(int id)
        {
            var response = _PriLoopSetService.Delete(id);
            return SUCCESS(response);
        }


        /// <summary>
        /// 下拉框数据
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <returns>下拉框数据</returns>
        [HttpGet]
        [Route("/v1/pri/PriLoopSet/getPriLoopSetDic")]
        public IActionResult getPriLoopSetDic([FromQuery] PagerInfo page)
        {
            var response = _PriLoopSetService.getPriLoopSetDic(page);
            return SUCCESS(response);
        }




    }
}