using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriQueryField)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriQueryField")]
    public class PriQueryFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriQueryFieldService _PriQueryFieldService;


        public PriQueryFieldController(IPriQueryFieldService PriQueryFieldService)
        {
            _PriQueryFieldService = PriQueryFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriQueryField/getPriQueryFieldList")]
        public IActionResult getPriQueryFieldList([FromQuery] PagerInfo page, [FromQuery] PriQueryField param)
        {
            var response = _PriQueryFieldService.getPriQueryFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriQueryField/getPriQueryFieldQuery")]
        public IActionResult getPriQueryFieldQuery([FromQuery] PriQueryField param)
        {
            var response = _PriQueryFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriQueryFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriQueryField/addPriQueryField")]
        public IActionResult addPriQueryField([FromBody] PriQueryField param)
        {
            var modal = param.Adapt<PriQueryField>().ToCreate(HttpContext);
            var response = _PriQueryFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriQueryField/updatePriQueryField")]
        public IActionResult updatePriQueryField([FromBody] PriQueryField param)
        {
            var modal = param.Adapt<PriQueryField>().ToCreate(HttpContext);
            var response = _PriQueryFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriQueryField/deletePriQueryField/{id}")]
        public IActionResult deletePriQueryField(int id)
        {
            var response = _PriQueryFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}