using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRecursionStartCondition)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "PriRecursionStartCondition")]
    public class PriRecursionStartConditionController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRecursionStartConditionService _PriRecursionStartConditionService;


        public PriRecursionStartConditionController(IPriRecursionStartConditionService PriRecursionStartConditionService)
        {
            _PriRecursionStartConditionService = PriRecursionStartConditionService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartCondition/getPriRecursionStartConditionList")]
        public IActionResult getPriRecursionStartConditionList([FromQuery] PagerInfo page, [FromQuery] PriRecursionStartCondition param)
        {
            var response = _PriRecursionStartConditionService.getPriRecursionStartConditionList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartCondition/getPriRecursionStartConditionQuery")]
        public IActionResult getPriRecursionStartConditionQuery([FromQuery] PriRecursionStartCondition param)
        {
            var response = _PriRecursionStartConditionService.GetFirst(m => m.id == param.id).Adapt<GetPriRecursionStartConditionQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRecursionStartCondition/addPriRecursionStartCondition")]
        public IActionResult addPriRecursionStartCondition([FromBody] PriRecursionStartCondition param)
        {
            var modal = param.Adapt<PriRecursionStartCondition>().ToCreate(HttpContext);
            var response = _PriRecursionStartConditionService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRecursionStartCondition/updatePriRecursionStartCondition")]
        public IActionResult updatePriRecursionStartCondition([FromBody] PriRecursionStartCondition param)
        {
            var modal = param.Adapt<PriRecursionStartCondition>().ToCreate(HttpContext);
            var response = _PriRecursionStartConditionService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRecursionStartCondition/deletePriRecursionStartCondition/{id}")]
        public IActionResult deletePriRecursionStartCondition(int id)
        {
            var response = _PriRecursionStartConditionService.Delete(id);
            return SUCCESS(response);
        }




    }
}