using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRecursionStartTable)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriRecursionStartTable")]
    public class PriRecursionStartTableController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRecursionStartTableService _PriRecursionStartTableService;


        public PriRecursionStartTableController(IPriRecursionStartTableService PriRecursionStartTableService)
        {
            _PriRecursionStartTableService = PriRecursionStartTableService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartTable/getPriRecursionStartTableList")]
        public IActionResult getPriRecursionStartTableList([FromQuery] PagerInfo page, [FromQuery] PriRecursionStartTable param)
        {
            var response = _PriRecursionStartTableService.getPriRecursionStartTableList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartTable/getPriRecursionStartTableQuery")]
        public IActionResult getPriRecursionStartTableQuery([FromQuery] PriRecursionStartTable param)
        {
            var response = _PriRecursionStartTableService.GetFirst(m => m.id == param.id).Adapt<GetPriRecursionStartTableQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRecursionStartTable/addPriRecursionStartTable")]
        public IActionResult addPriRecursionStartTable([FromBody] PriRecursionStartTable param)
        {
            var modal = param.Adapt<PriRecursionStartTable>().ToCreate(HttpContext);
            var response = _PriRecursionStartTableService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRecursionStartTable/updatePriRecursionStartTable")]
        public IActionResult updatePriRecursionStartTable([FromBody] PriRecursionStartTable param)
        {
            var modal = param.Adapt<PriRecursionStartTable>().ToCreate(HttpContext);
            var response = _PriRecursionStartTableService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRecursionStartTable/deletePriRecursionStartTable/{id}")]
        public IActionResult deletePriRecursionStartTable(int id)
        {
            var response = _PriRecursionStartTableService.Delete(id);
            return SUCCESS(response);
        }


          /// <param name="page">分页参数</param>
        /// <summary>
        /// 下拉框数据
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <returns>下拉框数据</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartTable/getPriRecursionStartTableDic")]
        public IActionResult getPriRecursionStartTableDic([FromQuery] PagerInfo page)
        {
            var response = _PriRecursionStartTableService.getPriRecursionStartTableDic(page);
            return SUCCESS(response);
        }




    }
}