using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRequestLog)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriRequestLog")]
    public class PriRequestLogController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRequestLogService _PriRequestLogService;


        public PriRequestLogController(IPriRequestLogService PriRequestLogService)
        {
            _PriRequestLogService = PriRequestLogService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRequestLog/getPriRequestLogList")]
        public IActionResult getPriRequestLogList([FromQuery] PagerInfo page, [FromQuery] PriRequestLog param)
        {
            var response = _PriRequestLogService.getPriRequestLogList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRequestLog/getPriRequestLogQuery")]
        public IActionResult getPriRequestLogQuery([FromQuery] PriRequestLog param)
        {
            var response = _PriRequestLogService.GetFirst(m => m.id == param.id).Adapt<GetPriRequestLogQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRequestLog/addPriRequestLog")]
        public IActionResult addPriRequestLog([FromBody] PriRequestLog param)
        {
            var modal = param.Adapt<PriRequestLog>().ToCreate(HttpContext);
            var response = _PriRequestLogService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRequestLog/updatePriRequestLog")]
        public IActionResult updatePriRequestLog([FromBody] PriRequestLog param)
        {
            var modal = param.Adapt<PriRequestLog>().ToCreate(HttpContext);
            var response = _PriRequestLogService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRequestLog/deletePriRequestLog/{id}")]
        public IActionResult deletePriRequestLog(int id)
        {
            var response = _PriRequestLogService.Delete(id);
            return SUCCESS(response);
        }




    }
}