﻿namespace Model.Base
{
    public class PagerInfo
    {
        /// <summary>
        /// 当前页码
        /// </summary>
        public int pageNum { get; set; }
        /// <summary>
        /// 每页显示多少条
        /// </summary>
        public int pageSize { get; set; }
        /// <summary>
        /// 总记录数
        /// </summary>
        public int totalNum { get; set; }
        /// <summary>
        /// 排序字段
        /// </summary>
        public string sort { get; set; } = string.Empty;
        /// <summary>
        /// 排序类型,前端传入的是"ascending"，"descending"
        /// </summary>
        public string sortType { get; set; } = string.Empty;
        public PagerInfo()
        {
            pageNum = 1;
            pageSize = 30;
        }

        public PagerInfo(int page = 1, int pageSize = 30)
        {
            pageNum = page;
            pageSize = pageSize;
        }
    }
}
