namespace Model
{
    /// <summary>
    /// 文件管理表 sys_file
    /// </summary>
    [SugarTable("sys_file", "文件管理表")]
    [Tenant("0")]
    public class SysFile
    {
        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(ColumnDescription = "编号", ColumnName = "id")]
        public long Id { get; set; }


        /// <summary>
        /// 文件名
        /// </summary>
        [SugarColumn(ColumnDescription = "文件名", Length = 100, ColumnName = "file_name")]
        public string FileName { get; set; }


        /// <summary>
        /// 文件存储桶名称
        /// </summary>
        [SugarColumn(ColumnDescription = "文件存储桶名称", Length = 200, ColumnName = "bucket_name")]
        public string BucketName { get; set; }


        /// <summary>
        /// 原始文件名
        /// </summary>
        [SugarColumn(ColumnDescription = "原始文件名", Length = 100, ColumnName = "original")]
        public string Original { get; set; }


        /// <summary>
        /// 文件类型
        /// </summary>
        [SugarColumn(ColumnDescription = "文件类型", Length = 50, ColumnName = "type")]
        public string Type { get; set; }


        /// <summary>
        /// 文件大小
        /// </summary>
        [SugarColumn(ColumnDescription = "文件大小", ColumnName = "file_size")]
        public long FileSize { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 上传时间
        /// </summary>
        [SugarColumn(ColumnDescription = "上传时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }


        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标志", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }



    }
}