namespace Model
{
    /// <summary>
    /// 日志表 sys_log
    /// </summary>
    [SugarTable("sys_log", "日志表")]
    [Tenant("0")]
    public class SysLog
    {
        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(ColumnDescription = "编号", ColumnName = "id")]
        public long Id { get; set; }


        /// <summary>
        /// 日志类型
        /// </summary>
        [SugarColumn(ColumnDescription = "日志类型", Length = 1, ColumnName = "log_type")]
        public string LogType { get; set; }


        /// <summary>
        /// 日志标题
        /// </summary>
        [SugarColumn(ColumnDescription = "日志标题", Length = 255, ColumnName = "title")]
        public string Title { get; set; }


        /// <summary>
        /// 服务ID
        /// </summary>
        [SugarColumn(ColumnDescription = "服务ID", Length = 32, ColumnName = "service_id")]
        public string ServiceId { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDescription = "创建人", Length = 64, ColumnName = "create_by")]
        public string CreateBy { get; set; }


        /// <summary>
        /// 修改人
        /// </summary>
        [SugarColumn(ColumnDescription = "修改人", Length = 64, ColumnName = "update_by")]
        public string UpdateBy { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }


        /// <summary>
        /// 远程地址
        /// </summary>
        [SugarColumn(ColumnDescription = "远程地址", Length = 255, ColumnName = "remote_addr")]
        public string RemoteAddr { get; set; }


        /// <summary>
        /// 用户代理
        /// </summary>
        [SugarColumn(ColumnDescription = "用户代理", Length = 1000, ColumnName = "user_agent")]
        public string UserAgent { get; set; }


        /// <summary>
        /// 请求URI
        /// </summary>
        [SugarColumn(ColumnDescription = "请求URI", Length = 255, ColumnName = "request_uri")]
        public string RequestUri { get; set; }


        /// <summary>
        /// 请求方法
        /// </summary>
        [SugarColumn(ColumnDescription = "请求方法", Length = 10, ColumnName = "method")]
        public string Method { get; set; }


        /// <summary>
        /// 请求参数
        /// </summary>
        [SugarColumn(ColumnDescription = "请求参数", ColumnName = "params")]
        public string Params { get; set; }


        /// <summary>
        /// 执行时间
        /// </summary>
        [SugarColumn(ColumnDescription = "执行时间", ColumnName = "time")]
        public long Time { get; set; }


        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标志", Length = 1, ColumnName = "del_flag")]
        public string DelFlag { get; set; }


        /// <summary>
        /// 异常信息
        /// </summary>
        [SugarColumn(ColumnDescription = "异常信息", ColumnName = "exception")]
        public string Exception { get; set; }



    }
}