using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriQueryTableService : IBaseService<PriQueryTable>
    {
        /// <summary>
        /// 条件匹配表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriQueryTableListVo> getPriQueryTableList([FromQuery] PagerInfo page, [FromQuery] PriQueryTable param);


        /// <summary>
        /// 条件匹配表-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriQueryTableDicVo> getPriQueryTableDic([FromQuery] PagerInfo page);



    }
}
